    <!-- FIRST ROW OF CARDS-->
    <div style="display: flex;" class="d-flex justify-content-evenly">
        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Password</h3>
                    <div class="card-toolbar">
                        <button type="button" class="btn btn-sm btn-primary">
                            Reset
                        </button>
                    </div>
                </div>
                <div class="card-body top-card-label">
                    <strong>Reset your password.</strong>
                </div>
            </div>
        </div>

        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Upload zip file</h3>
                    <div class="card-toolbar">
                        <a href="#" class="btn btn-icon btn-primary"><i class="las la-cloud-upload-alt fs-1"></i></a>
                    </div>
                </div>
                <div class="card-body top-card-label">
                    <strong>Upload you zip file.</strong>
                </div>
            </div>
        </div>
        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Extract your data</h3>
                    <div class="card-toolbar">
                        <a href="#" class="btn btn-icon btn-primary"><i class="las la-cloud-download-alt fs-1"></i></a>
                    </div>
                </div>
                <div class="card-body top-card-label">
                    <strong>Download all your data.</strong>
                </div>
            </div>
        </div>
    </div>

    <div class="separator border-5 my-10"></div>

    <div style="display: flex;" class="d-flex justify-content-center data-groups-label">
        <h2>These are your data groups</h2>
    </div>


    <!-- SECOND ROW OF CARDS-->
    <div style="display: flex;" class="d-flex justify-content-evenly">
        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Personal information</h3>
                </div>
                <div class="card-footer">
                    <div style="display: flex;" class="d-flex justify-content-evenly">
                        <div class="p-2 bd-highlight">
                            <a [href]="downloadPersonalInfoHref" download="personal-information.json" class="btn btn-sm btn-primary"><i class="las la-cloud-download-alt fs-1 me-2"></i> Extract</a>
                        </div>
                        <div class="p-2 bd-highlight">
                            <a routerLink="/personal-data-safe/personal-info" class="btn btn-sm btn-primary"><i class="las la-file-export fs-1 me-2"></i> View</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Browsing history</h3>
                </div>
                <div class="card-footer">
                    <div style="display: flex;" class="d-flex justify-content-evenly">
                        <div class="p-2 bd-highlight">
                            <a [href]="downloadBrowsingHistoryHref" download="browsing-history.json" class="btn btn-sm btn-primary"><i class="las la-cloud-download-alt fs-1 me-2"></i> Extract</a>
                        </div>
                        <div class="p-2 bd-highlight">
                            <a routerLink="/personal-data-safe/browsing-history" class="btn btn-sm btn-primary"><i class="las la-file-export fs-1 me-2"></i> View</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Location History</h3>
                </div>
                <div class="card-footer">
                    <div style="display: flex;" class="d-flex justify-content-evenly">
                        <div class="p-2 bd-highlight">
                            <a [href]="downloadLocationHistoryHref" download="location-history.json" class="btn btn-sm btn-primary"><i class="las la-cloud-download-alt fs-1 me-2"></i> Extract</a>
                        </div>
                        <div class="p-2 bd-highlight">
                            <a routerLink="/personal-data-safe/location-history" class="btn btn-sm btn-primary"><i class="las la-file-export fs-1 me-2"></i> View</a>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

<div class="separator border-5 my-10"></div>

<!-- CHARTS -->
<div *ngIf="dataAvailable">
    <app-pds-home-charts [receivedGraphData]="graphData"></app-pds-home-charts>
</div>
<ngx-spinner></ngx-spinner>
